[BangPypers] New to python - neuron ring

Noufal Ibrahim noufal at gmail.com
Mon Oct 12 09:23:26 CEST 2009


On Mon, Oct 12, 2009 at 12:49 PM, Gopinath R <gopiindian86 at gmail.com> wrote:
> Hi all,
>
> I am a newbie to python. i like to learn python strongly. which version is
> recommended to start with 2.6 or 3.0.
> I believe 3.0 has lot more features added, there is no backward
> compatibility in that. we cannot use some of the 2.6 syntaxes in that. for
> Example: raw_input. it worries me a lot. pls give some suggestion.

I believe the only real reason to stick with a pre 3.0 release is 3rd
party library availability. The language core itself is pretty decent
in post 3.0. As you mentioned, it was a deliberately backward
incompatible release.

Depending on what you're using Python for, this should guide you.

Enjoy.

-- 
~noufal
http://nibrahim.net.in


More information about the BangPypers mailing list